View Issue Details

IDProjectCategoryView StatusLast Update
0031294FPCPackagespublic2017-03-05 18:03
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.0.2 
Summary0031294: fcl-passrc fails "short" methods impl in delphi mode
Descriptionprogram Project1;
{MODE DELPHI}
type

Entity=object
  function test:Boolean;
end;

 function Entity.test;
 begin
 end;

begin
end.

Expected ":" at token ";" at line 9 column 22
TagsNo tags attached.
Fixed in Revision35524
FPCOldBugId
FPCTarget
Attached Files

Activities

Andrey Zubarev

2017-01-29 22:22

reporter   ~0097797

typo. need {$MODE DELPHI}

Michael Van Canneyt

2017-03-05 13:14

administrator   ~0098655

Fixed, thanks for reporting.

Andrey Zubarev

2017-03-05 18:03

reporter   ~0098663

Thanks!

Issue History

Date Modified Username Field Change
2017-01-29 18:42 Andrey Zubarev New Issue
2017-01-29 22:22 Andrey Zubarev Note Added: 0097797
2017-01-30 08:45 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-01-30 08:45 Michael Van Canneyt Status new => assigned
2017-03-05 13:14 Michael Van Canneyt Fixed in Revision => 35524
2017-03-05 13:14 Michael Van Canneyt Note Added: 0098655
2017-03-05 13:14 Michael Van Canneyt Status assigned => resolved
2017-03-05 13:14 Michael Van Canneyt Fixed in Version => 3.0.2
2017-03-05 13:14 Michael Van Canneyt Resolution open => fixed
2017-03-05 13:14 Michael Van Canneyt Target Version => 3.2.0
2017-03-05 18:03 Andrey Zubarev Note Added: 0098663
2017-03-05 18:03 Andrey Zubarev Status resolved => closed